package pl.afizyka.prostenotatkitekstowe

import android.os.Bundle
import android.widget.ArrayAdapter
import android.widget.Button
import android.widget.EditText
import android.widget.ListView
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    var itemyTresci= arrayListOf<String>(
        "Zakupy: chleb, masło, ser",
        "Do zrobienia: obiad, umyć podłogi",
        "weekend: kino, spacer z psem"
    )

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        //lista z widku układu
        var lista = findViewById<ListView>(R.id.ListView1)
        //utwórz lokalnego adaptera listy na podstawie układu simple_list_item_1
        var adapterListy=ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,itemyTresci)
        lista.setAdapter(adapterListy)
        //obsługa klikania w klawisz DODAJ
        val btDodaj=findViewById<Button>(R.id.button1)
        btDodaj.setOnClickListener {
            val txt=findViewById<EditText>(R.id.editText1)
            //dodaj nowa treśc do listy itemów treści
            itemyTresci.add(txt.text.toString())
            //uaktualnij zawartośc listy adaptera
            //jest to równoznaczne z uaktualnieniem widoku listy
            adapterListy.notifyDataSetChanged()
        }
    }
}